#!/bin/bash

NEXPERIMENTS=5
DEVICE=1

# arguments are number of runs, width, learning rate, device, augmented_dim
run_single() {
COUNTER=1
while [ $COUNTER -le $1 ]
do
python -m experiments.ornstein_uhlenbeck --width $2 --lr $3 --device $4 --ncosines $5 --experiment_no $COUNTER
((COUNTER++))
done
}

# arguments are number of runs, width, learning rate, device, number of cosines
collect_data() {
run_single $1 $2 $3 $4 0
run_single $1 $2 $3 $4 1
run_single $1 $2 $3 $4 5
run_single $1 $2 $3 $4 25
run_single $1 $2 $3 $4 50
}

# run through all loops and collect the data
collect_data $NEXPERIMENTS 20 0.0005 $DEVICE























